| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::UnitsGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >:
[legend]

## Public Member Functions
| UnitsGrammar ()

## Public Attributes
qi::rule< Iterator, Node(), Skipper > | units
qi::rule< Iterator, Node(), Skipper > | unit
qi::rule< Iterator, Node(), Skipper > | val
IdentifierGrammar< Iterator, Skipper > | gunit
ph::function< NodeOperations > | op

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >

Definition at line 117 of file Grammar.h.

## Constructor & Destructor Documentation

## ◆ UnitsGrammar()

template<typename Iterator , typename Skipper >

Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::UnitsGrammar | ( |  | ) |
| inline

Definition at line 119 of file Grammar.h.

119 : UnitsGrammar::base_type( units ) {
120 units = *unit[op( qi::_val, qi::_1 )];
121 unit = rep::qi::iter_pos[op( qi::_val, qi::_1 )] >> val[op( qi::_val, qi::_1 )] >> -qi::lit( '*' ) >>
122 gunit[op( qi::_val, qi::_1 )] >> qi::lit( '=' ) >>
123 val[op( qi::_val, qi::_1 )][op( qi::_val, Node::kUnit )];
124 ;
125 val = qi::raw[qi::double_][op( qi::_val, qi::_1 )][op( qi::_val, Node::kReal )];
126 }
Gaudi::Parsers::UnitsGrammar::unit
qi::rule< Iterator, Node(), Skipper > unit
Definition: Grammar.h:128
Gaudi::Parsers::UnitsGrammar::units
qi::rule< Iterator, Node(), Skipper > units
Definition: Grammar.h:128
Gaudi::Parsers::Node::kUnit
Definition: Node.h:45
Gaudi::Parsers::Node::kReal
Definition: Node.h:42
Gaudi::Parsers::UnitsGrammar::val
qi::rule< Iterator, Node(), Skipper > val
Definition: Grammar.h:128
Gaudi::Parsers::UnitsGrammar::gunit
IdentifierGrammar< Iterator, Skipper > gunit
Definition: Grammar.h:129
Gaudi::Parsers::UnitsGrammar::op
ph::function< NodeOperations > op
Definition: Grammar.h:130

## Member Data Documentation

## ◆ gunit

template<typename Iterator , typename Skipper >

IdentifierGrammar<Iterator, Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::gunit

Definition at line 129 of file Grammar.h.

## ◆ op

template<typename Iterator , typename Skipper >

ph::function<NodeOperations> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::op

Definition at line 130 of file Grammar.h.

## ◆ unit

template<typename Iterator , typename Skipper >

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::unit

Definition at line 128 of file Grammar.h.

## ◆ units

template<typename Iterator , typename Skipper >

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::units

Definition at line 128 of file Grammar.h.

## ◆ val

template<typename Iterator , typename Skipper >

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::val

Definition at line 128 of file Grammar.h.

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h